Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.demo.facet
Class SimpleFacetsExample

    java.lang.Object
      org.apache.lucene.demo.facet.SimpleFacetsExample

    public class SimpleFacetsExample

extends Object

Shows simple usage of faceted indexing and search.

Constructor Summary
`SimpleFacetsExample()` Empty constructor

Method Summary
`static void` | `main(String[] args)` Runs the search and drill-down examples and prints the results.
`List<FacetResult>` | `runDrillDown()` Runs the drill-down example.
`List<FacetResult>` | `runSearch()` Runs the search example.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFacetsExample

    public SimpleFacetsExample()

  Empty constructor

Method Detail

### runSearch

    public List<FacetResult> runSearch()
                                throws IOException

  Runs the search example.

  Throws:
    `IOException`

### runDrillDown

    public List<FacetResult> runDrillDown()
                                   throws IOException

  Runs the drill-down example.

  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws Exception

  Runs the search and drill-down examples and prints the results.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.